package ink.wgink.pojo.dtos.department;

import ink.wgink.pojo.dtos.user.UserDTO;
import io.swagger.annotations.ApiModel;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: DepartmentWithSubListAndUserListDTO
 * @Description: 部门类带下级用户列表
 * @Author: wanggeng
 * @Date: 2022/5/7 14:40
 * @Version: 1.0
 */
@ApiModel
public class DepartmentContainUserDTO extends DepartmentDTO {

    private List<UserDTO> users;

    public List<UserDTO> getUsers() {
        return users == null ? new ArrayList() : users;
    }

    public void setUsers(List<UserDTO> users) {
        this.users = users;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"users\":")
                .append(users);
        sb.append('}');
        return sb.toString();
    }
}
